POST api/Cart/saveCart

Request Information

URI Parameters

None.

Body Parameters

clsCartDAL
NameDescriptionTypeAdditional information
CartId

globally unique identifier

None.

CartNo

integer

None.

ProductId

globally unique identifier

None.

Quantity

integer

None.

ProductPackageId

globally unique identifier

None.

Rate

decimal number

None.

Unit

string

None.

UnitType

string

None.

Date

date

None.

VoucherAdded

boolean

None.

VoucherAmount

decimal number

None.

VoucherId

globally unique identifier

None.

DiscountRate

decimal number

None.

TaxPercentage

decimal number

None.

Request Formats

application/json, text/json

Sample:
{
  "cartId": "ede33609-3acf-4b67-a39d-f3a0c890bf34",
  "cartNo": 2,
  "productId": "fc1abc38-2417-403d-ba02-ccba352312ed",
  "quantity": 4,
  "productPackageId": "c88154ce-8ab6-4a28-b030-3d0e2af25573",
  "rate": 6.0,
  "unit": "sample string 7",
  "unitType": "sample string 8",
  "date": "2026-04-11T18:14:27.5125808+05:30",
  "voucherAdded": true,
  "voucherAmount": 11.0,
  "voucherId": "b90400cf-b9d8-4a4d-a29c-518a532b89d7",
  "discountRate": 13.0,
  "taxPercentage": 14.0
}

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'clsCartDAL'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.